/*
	CNCPTS, CNC Program Transfer Software

	Copyright (C) 2001 Michael R. Donat, 5919 Hwy 191, Dodgeville, WI 53533
	(donat@donat.org)

	This file is part of CNCPTS.

	CNCPTS is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	CNCPTS is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with CNCPTS; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _CNCPTS_H
#define _CNCPTS_H

#define MAX_LENGTH 128
#define MAX_LENGTH_CONF 12
#define FILE_CONFIG "cncpts.ini"
#define FILE_PARTS "parts.ini"
#define STR_DEL_FILE_PARTS "del parts.ini"
#define FILE_PATHS "paths.ini"
#define FILE_TEMP "temp.tmp"
#define FILE_LOG "log.txt"
#define FILE_RESTART "restart.tmp"
#define STR_DEL_FILE_RESTART "del restart.tmp"
#define VERSION_MAJOR 1
#define VERSION_MINOR 7
#define TRUE 1
#define FALSE 0
#define XON 17
#define XOFF 19

extern int ncselect;
extern char *part;
int restart(void);
int select_nc(void);
int select_part(void);
int print(void);
#endif
